Bug 224932 - www/gitlab fix Gemfile for updated dependencies
Summary: www/gitlab fix Gemfile for updated dependencies
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Steve Wills
URL:
Keywords:
Depends on: 224919 224931
Blocks:
  Show dependency treegraph
 
Reported: 2018-01-05 12:53 UTC by Matthias Fechner
Modified: 2018-01-19 23:04 UTC (History)
1 user (show)

See Also:
mfechner: maintainer-feedback+


Attachments
Fix problem with some rubygem dependencies (6.03 KB, patch)
2018-01-05 12:53 UTC, Matthias Fechner
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Fechner freebsd_committer 2018-01-05 12:53:25 UTC
Created attachment 189440 [details]
Fix problem with some rubygem dependencies
Comment 1 commit-hook freebsd_committer 2018-01-05 14:04:21 UTC
A commit references this bug:

Author: swills
Date: Fri Jan  5 14:03:19 UTC 2018
New revision: 458142
URL: https://svnweb.freebsd.org/changeset/ports/458142

Log:
  www/gitlab: fix Gemfile for updated dependencies

  PR:		224932
  Submitted by:	Matthias Fechner <idefix@fechner.net> (maintainer)

Changes:
  head/www/gitlab/Makefile
  head/www/gitlab/files/patch-Gemfile
Comment 2 Steve Wills freebsd_committer 2018-01-05 14:05:54 UTC
Committed, thanks!
Comment 3 commit-hook freebsd_committer 2018-01-19 23:04:08 UTC
A commit references this bug:

Author: swills
Date: Fri Jan 19 23:03:43 UTC 2018
New revision: 459482
URL: https://svnweb.freebsd.org/changeset/ports/459482

Log:
  Pull in GitLab security update and all commits needed for it to run properly

  Approved by:	ports-secteam (implicit)

  MFH: r457863 r457866 r457872 r457873 r457876 r457879 r457890 r457898 r457899 r458098 r458142 r458267 r458333 r458634 r458650 r458652 r459076 r459170 r459191 r459256 r459284 r459288 r459346

  textproc/rubygem-twitter-text: add required dependency on rubygem-idn-ruby

  PR:		224838
  Submitted by:	Matthias Fechner <idefix@fechner.net>

  www/gitlab: fix Gemfile for updated dependencies

  PR:		224836
  Submitted by:	Matthias Fechner <idefix@fechner.net> (maintainer)

  Add rubygem-redis3 3.3.5 (copied from rubygem-redis)

  - Add PORTSCOUT

  Add rubygem-jwt1 1.5.6 (copied from rubygem-jwt)

  - Add PORTSCOUT

  Update to 4.0.1

  Changes:	https://github.com/redis/redis-rb/blob/master/CHANGELOG.md

  Update to 2.1.0

  Changes:	https://github.com/jwt/ruby-jwt/releases

  Change RUN_DEPENDS from rubygem-redis and rubygem-jwt to rubygem-redis3 and rubygem-jwt1

  - Bump PORTREVISION for dependency change

  devel/rubygem-licensee: update to 9.6.0

  PR:		224758
  Approved by:	Matthias Fechner <idefix@fechner.net> (maintainer

  www/gitlab: remove spurious newline

  Reported by:	sunpoet
  Pointyhat to:	swills

  security/rubygem-rbnacl: update to 5.0.0

  www/gitlab: fix Gemfile for updated dependencies

  PR:		224932
  Submitted by:	Matthias Fechner <idefix@fechner.net> (maintainer)

  Fix Gemfile for rubygem-fog-core 2.0.0 update

  - Bump PORTREVISION for package change

  Fix Gemfile for rubygem-jquery-atwho-rails 1.5.4 update

  - Bump PORTREVISION for package change

  Fix Gemfile for rubygem-fog-google 1.0.0 update

  - Bump PORTREVISION for package change

  Fix gitlab issue by creating rubygem-licensee8

  PR:		225047
  Submitted by:	Matthias Fechner <idefix@fechner.net> (maintainer)

  devel/rubygem-licensee: update to 9.7.0

  PR:		224999
  Approved by:	Matthias Fechner <idefix@fechner.net> (maintainer)

  textproc/rubygem-rouge: update to 3.1.0

  PR:		224785
  Approved by:	maintainer timeout (kuriyama, > 2 weeks)

  textproc/rubygem-rouge2: create port for 2.x ver

  Needed by GitLab

  textproc/rubygem-rouge2: add missing PKGNAMESUFFIX

  Pointyhat to:	swills
  Reported by:	antoine

  textproc/rubygem-rouge2: add conflict

  www/rubygem-gollum-lib: depend on 2.x version of rouge

  This version is required by gollum-lib

  www/gitlab: update to 10.1.6

  Approved by:	idefix@fechner.net (maintainer, via private email)
  Obtained from:	http://gitlab.toco-domains.de/FreeBSD/GitLab/commits/10.1
  Security:	65fab89f-2231-46db-8541-978f4e87f32a

  Mark CONFLICTS_INSTALL with rubygems-rouge2

Changes:
_U  branches/2018Q1/
  branches/2018Q1/databases/Makefile
  branches/2018Q1/databases/rubygem-redis/Makefile
  branches/2018Q1/databases/rubygem-redis/distinfo
  branches/2018Q1/databases/rubygem-redis3/
  branches/2018Q1/devel/Makefile
  branches/2018Q1/devel/rubygem-licensee/Makefile
  branches/2018Q1/devel/rubygem-licensee/distinfo
  branches/2018Q1/devel/rubygem-licensee8/
  branches/2018Q1/security/rubygem-rbnacl/Makefile
  branches/2018Q1/security/rubygem-rbnacl/distinfo
  branches/2018Q1/textproc/Makefile
  branches/2018Q1/textproc/rubygem-rouge/Makefile
  branches/2018Q1/textproc/rubygem-rouge/distinfo
  branches/2018Q1/textproc/rubygem-rouge2/
  branches/2018Q1/textproc/rubygem-rouge2/Makefile
  branches/2018Q1/textproc/rubygem-twitter-text/Makefile
  branches/2018Q1/www/Makefile
  branches/2018Q1/www/gitlab/Makefile
  branches/2018Q1/www/gitlab/distinfo
  branches/2018Q1/www/gitlab/files/patch-Gemfile
  branches/2018Q1/www/gitlab/pkg-plist
  branches/2018Q1/www/rubygem-gollum-lib/Makefile
  branches/2018Q1/www/rubygem-jwt/Makefile
  branches/2018Q1/www/rubygem-jwt/distinfo
  branches/2018Q1/www/rubygem-jwt1/